## view.xhtml
Class XHTMLDocument

    java.lang.Object
      view.xhtml.XHTMLDocument

    public class XHTMLDocument

extends java.lang.Object

Field Summary
`private Body` `body`
`private static java.lang.String` `DOCTYPE`
`private java.lang.String` `title_text`

Constructor Summary
`XHTMLDocument()` Constructs a new XHTMLDocument with an empty title and body.

Method Summary
`Body` `getBody()` Returns the documents body element.
`private HtmlObject` `getRoot()` Generates and returns the actual element hierarchy.
`java.lang.String` `getSource()` Returns the HTML source code without indentation.
`java.lang.String` `getSource(int indent_width)` As above but with indendation.
`void` `setTitleText(java.lang.String text)` Sets the document's title text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCTYPE

    private static final java.lang.String DOCTYPE

See Also:
  Constant Field Values

### body

    private final transient Body body

### title_text

    private transient java.lang.String title_text

Constructor Detail

### XHTMLDocument

    public XHTMLDocument()

  Constructs a new XHTMLDocument with an empty title and body.

Method Detail

### getBody

    public Body getBody()

  Returns the documents body element.

### setTitleText

    public void setTitleText(java.lang.String text)

  Sets the document's title text.

### getRoot

    private HtmlObject getRoot()

  Generates and returns the actual element hierarchy.

### getSource

    public java.lang.String getSource()

  Returns the HTML source code without indentation.

### getSource

    public java.lang.String getSource(int indent_width)

  As above but with indendation.

  Parameters:
    `indent_width` - indendation width (number of spaces)